<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<componentspec>
  <property name="port_select_enable" type="bool" writable="true" default="false"
    description="False implies the ``port_select`` property specifies which input to pass to the output, otherwise, the input port
      is specified by the data on the ``inselect`` port."/>
  <property name="port_select" type="bool" writable="true" default="false"
    description="Selects which input port data is passed to the output. When ``port_select`` is false, data on ``input_1`` is
      passed to the output."/>
  <port name="input_1" producer="false" protocol="ulong_timed_sample-prot"/>
  <port name="input_2" producer="false" protocol="ulong_timed_sample-prot"/>
  <port name="inselect" producer="false" protocol="bool_timed_sample-prot" optional="true"/>
  <port name="output" producer="true" protocol="ulong_timed_sample-prot"/>
</componentspec>
